<?php
vc_remove_param( 'vc_images_carousel', 'mode' );
vc_remove_param( 'vc_images_carousel', 'partial_view' );
vc_remove_param( 'vc_images_carousel', 'speed' );

vc_add_param("vc_images_carousel", array (
	'type' => 'dropdown',
	'heading' => esc_html__( 'On click action', 'haswell' ),
	'param_name' => 'onclick',
	'value' => array(
		__( 'Open Magnific Popup', 'haswell' ) => 'open_magnific',
		__( 'None', 'haswell' ) => 'link_no',
		__( 'Open custom links', 'haswell' ) => 'custom_link',
	),
	'description' => esc_html__( 'Select action for click event.', 'haswell' ),
));

vc_add_param("vc_images_carousel", array (
	'type' => 'dropdown',
	'heading' => esc_html__( 'Pagination position', 'haswell' ),
	'param_name' => 'paging_postition',
	'value' => array(
		__( 'Inside', 'haswell' ) => 'paging_inside',
		__( 'Outside', 'haswell' ) => 'paging_outside',
	),
	'description' => esc_html__( 'Select pagination position', 'haswell' ),
));